#!/usr/bin/env python

from os import path
from setuptools import find_packages
from setuptools import setup

here = path.abspath(path.dirname(__file__))

# Get the version number from the relevant file
with open(path.join(here, 'VERSION')) as f:
    version = f.read().strip()

setup(
    name='hermesv3_gr',
    license='GNU GPL v3',
    # platforms=['GNU/Linux Debian'],
    version=version,
    description='HERMESv3 Global/Regional',
    author='Carles Tena Medina',
    author_email='carles.tena@bsc.es',
    # url='http://www.bsc.es/projects/earthscience/autosubmit/',
    # download_url='https://earth.bsc.es/wiki/doku.php?id=tools:autosubmit',

    keywords=['emissions', 'cmaq', 'monarch', 'wrf-chem', 'atmospheric composition', 'air quality', 'earth science'],
    # setup_requires=['pyproj'],
    install_requires=[
        'numpy',
        'netCDF4>=1.3.1',
        'cdo>=1.3.4',
        'pandas',
        'geopandas',
        'pyproj',
    ],
    packages=find_packages(),
    include_package_data=True,
    # package_data={'hermes_v3': [
    #     'autosubmit/config/files/autosubmit.conf',
    #     'autosubmit/config/files/expdef.conf',
    #     'autosubmit/database/data/autosubmit.sql',
    #     'README',
    #     'CHANGELOG',
    #     'VERSION',
    #     'LICENSE',
    #     'docs/autosubmit.pdf'
    # ]
    # },

    scripts=['bin/hermes_gr']
)
